> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crossmint.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Quote Transaction with Fees

> Get the price of a transaction hosted through Crossmint, inclusive of all fees.

**This API is subject to change as it is currently in its alpha form.**


<Snippet file="alpha-api-note.mdx" />


## OpenAPI

````yaml api-reference/_open-api/PaymentsAPIs.json GET /v1-alpha1/quote
openapi: 3.0.1
info:
  description: |
    N/A
  version: 1.0.0
  title: NFT Checkout
  contact:
    name: Crossmint Payments APIs
    url: https://www.crossmint.com
    email: support@crossmint.com
servers:
  - url: https://staging.crossmint.com/api
    description: Staging environment (testnets)
  - url: https://www.crossmint.com/api
    description: Production environment (mainnets)
security: []
tags:
  - name: metadata
    description: Find out about the data sets
  - name: search
    description: Search a data set
paths:
  /v1-alpha1/quote:
    get:
      tags:
        - Quote Price
      summary: Quote Transaction with Fees
      description: >
        Get the price of a transaction hosted through Crossmint, inclusive of
        all fees.


        **This API is subject to change as it is currently in its alpha form.**
      operationId: quote
      parameters:
        - name: chain
          in: query
          description: The chain in which to quote on.
          required: true
          example: polygon-amoy
          schema:
            type: string
            default: polygon-amoy
            enum:
              - aptos
              - arbitrum
              - arbitrum-sepolia
              - arbitrumnova
              - base
              - base-sepolia
              - bsc
              - bsc-testnet
              - ethereum
              - ethereum-sepolia
              - optimism
              - optimism-sepolia
              - polygon
              - polygon-amoy
              - solana
              - skale-nebula
              - skale-nebula-testnet
              - sui
              - zora
              - zora-sepolia
        - name: nativePrice
          in: query
          description: >
            Price in specified chain currency to quote.

            The chain is derived from the chain your collection is on.

            If your chain is on the Solana network, the parameter would be the
            SOL amount, not Lamports.
          required: true
          example: 1
          schema:
            type: string
        - name: quoteCurrency
          in: query
          description: Price in specified currency to quote
          required: true
          example: usd
          schema:
            type: string
            default: usd
            enum:
              - usd
              - eur
              - gbp
              - aud
              - sgd
              - hkd
              - krw
              - inr
              - vnd
              - jpy
      responses:
        '200':
          description: Success.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QuoteResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorMsg'
      security:
        - clientId: []
components:
  schemas:
    QuoteResponse:
      type: object
      properties:
        currency:
          type: string
          example: usd
        price:
          type: number
          example: 1.23
    ErrorMsg:
      type: object
      properties:
        error:
          type: boolean
        message:
          type: string
  securitySchemes:
    clientId:
      type: apiKey
      in: header
      name: X-CLIENT-ID

````